%define develpkg %mklibname ofono -d


Name:           ofono
Version:        1.19
Release:        %mkrel 1
Summary:        Open Source Telephony
License:        GPL-2.0
Group:          Communications
Url:            http://ofono.org
Source0:        http://www.kernel.org/pub/linux/network/ofono/ofono-%{version}.tar.xz

%description
oFono aims to provide an easy to use interface that can be used to create
rich telephony applications without requiring one to have a deep understanding
of the underlying technology and its limitations. To accomplish this, oFono
provides language-independent D-Bus API that is extremely easy to use without
generated bindings or other 'messy' steps typically required to use an IPC
based API.

%package -n %develpkg
Summary:        Open Source Telephony Stack -- Development files
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description -n %develpkg
oFono aims to provide an easy to use interface that can be used to create
rich telephony applications without requiring one to have a deep understanding
of the underlying technology and its limitations. To accomplish this, oFono
provides language-independent D-Bus API that is extremely easy to use without
generated bindings or other 'messy' steps typically required to use an IPC
based API.

%package tests
Summary:        Test Scripts for oFono
Group:          Communications
Requires:       %{name} = %{version}

%description tests
Scripts for testing oFono and its functionality

%prep
%setup -q

%build
%configure2_5x \
  --disable-static \
  --enable-pie \
  --enable-threads \
  --enable-test

%make  
  
%install
rm -rf %buildroot
%make_install

ln -sv %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}

%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%{_sbindir}/ofonod
%{_sbindir}/rcofono
%{_mandir}
%config %{_sysconfdir}/ofono/
%{_sysconfdir}/dbus-1/system.d/ofono.conf

%files -n %develpkg
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%dir %{_includedir}/ofono/
%{_includedir}/ofono/*
%{_libdir}/pkgconfig/ofono.pc

%files tests
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%{_libdir}/%{name}/test/*
%dir %{_libdir}/%{name}/test
%dir %{_libdir}/%{name}

%changelog
* Wed Mar 07 2018 adrianomosrelli <adrianomorselli> 1.19-1uplos2018
- imported for uplos
